GNUNET-DATASTORE(1)

NAME
gnunet-datastore - dump or insert (restore) GNUnet datastore databases

SYNOPSIS
gnunet-datastore [-c FILENAME | --config=FILENAME] [-d | --dump] [-f FILENAME | --file=FILENAME] [-h | --help] [-i | --insert] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-l FILENAME | --logfile=FILENAME] [-v | --version]

DESCRIPTION
gnunet-datastore can be used to backup and restore or merge GNUnet datastores. This is useful if a datastore is to be migrated between SQL databases, e.g. from sqlite to postgres or vice versa. gnunet-datastore will dump the entire contents of the database or insert a dump file into the database.

-c FILENAME | --config=FILENAME
    Configuration file to use

-d | --dump
    Dump all records to a file

-f FILENAME | --file=FILENAME
    File to dump to or insert from. Otherwise stdin/stdout are used.

-h | --help
    Print the help page.

-i | --insert
    Insert from dump file.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Change the loglevel. Possible values for LOGLEVEL are ERROR, WARNING, INFO and DEBUG.

-l FILENAME | --logfile=FILENAME
    Configure logging to write logs to FILENAME

-v | --version
    Print the version number

SEE ALSO
gnunet-publish(1)

The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.